com.creamtec.ajaxswing.core

## Class ClientAgentManager

- java.lang.Object
- - com.creamtec.ajaxswing.core.ClientAgentManager

- All Implemented Interfaces:
    ClientAgentManagerRemote, java.rmi.Remote

      public class ClientAgentManager
      extends java.lang.Object
      implements ClientAgentManagerRemote

  Centralized manager of virtual client instances. Used to establish and maintain the association between objects such as windows and threads and the instances of ClientAgent that own those objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAgentManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearMyAgent(java.lang.Object obj)` Removes the association between the object and the client agent
    `static ClientAgentManager` | `getInstance()` Implementation of a singleton pattern for ClientAgentManager
    `static ClientAgent` | `getMyAgent(java.lang.Object obj)` Returns the agent associated with the given object
    `static void` | `setMyAgent(java.lang.Object obj, ClientAgent agent)` Establishes the association between an object and a client agent
    `static void` | `stopAllAgentsThreads()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientAgentManager

          public ClientAgentManager()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getInstance

          public static ClientAgentManager getInstance()

      Implementation of a singleton pattern for ClientAgentManager
      Returns:
        ClientAgentManager instance

    - #### getMyAgent

          public static ClientAgent getMyAgent(java.lang.Object obj)

      Returns the agent associated with the given object
      Parameters:
        `obj` - object parameter
      Returns:
        client agent or null if no association exists

    - #### setMyAgent

          public static void setMyAgent(java.lang.Object obj,
                        ClientAgent agent)

      Establishes the association between an object and a client agent
      Parameters:
        `obj` - object
        `agent` - client agent

    - #### clearMyAgent

          public static void clearMyAgent(java.lang.Object obj)

      Removes the association between the object and the client agent
      Parameters:
        `obj` - object

    - #### stopAllAgentsThreads

          public static void stopAllAgentsThreads()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.